Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.dom
Class DOMSerializerConfiguration

    java.lang.Object
      net.sourceforge.jsxe.dom.DOMSerializerConfiguration

public class DOMSerializerConfiguration
extends Object

DOMSerializerConfiguration is the default implementation of the DOMConfiguration interface to be used with the DOMSerializer class.

Currently, this class only supports the required options with few exceptions. The `"format-pretty-print"` option is supported. A `"soft-tabs"` option is supported which specifies whether to emulate tabs with spaces. An `"indent"` option is supported to specify the indent/tab size when the `"soft-tabs"` feature is true. This has no effect if `"soft-tabs"` is false.

Version:
  $Id: DOMSerializerConfiguration.java 833 2006-04-08 16:30:49Z ian_lewis $
Author:
  Ian Lewis
See Also:
  `DOMSerializer`

Field Summary
`static String` | `CANONICAL_FORM`
`static String` | `CDATA_SECTIONS`
`static String` | `CHAR_NORMALIZATION`
`static String` | `COMMENTS`
`static String` | `DATATYPE_NORMALIZATION`
`static String` | `DISCARD_DEFAULT_CONTENT`
`static String` | `ENTITIES`
`static String` | `ERROR_HANDLER`
`static String` | `FORMAT_XML`
`static String` | `IGNORE_UNKNOWN_CHAR_DENORM`
`static String` | `INDENT` The number of spaces to use as an tab when SOFT_TABS is true.
`static String` | `INFOSET`
`static String` | `NAMESPACE_DECLARATIONS`
`static String` | `NAMESPACES`
`static String` | `NORMALIZE_CHARS`
`static String` | `SOFT_TABS` Use spaces instead of tabs if this is true.
`static String` | `SPLIT_CDATA`
`static String` | `VALIDATE_IF_SCHEMA`
`static String` | `VALIDATE_XML`
`static String` | `WELL_FORMED`
`static String` | `WS_IN_ELEMENT_CONTENT`
`static String` | `XML_DECLARATION`
`static String` | `XML_ENCODING` The encoding to use in the XML declaration.

Constructor Summary
`DOMSerializerConfiguration()`
`DOMSerializerConfiguration(DOMConfiguration config)`

Method Summary
`boolean` | `canSetParameter(String name, Object value)`
`boolean` | `getFeature(String name)` A convenience method to retrieve the value that a boolean parameter (feature) is set to.
`Object` | `getParameter(String name)`
`DOMStringList` | `getParameterNames()`
`void` | `setFeature(String name, boolean value)` A convenience method to set the value of a boolean parameter (feature)
`void` | `setParameter(String name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CANONICAL_FORM

    public static final String CANONICAL_FORM

See Also:
  Constant Field Values

### CDATA_SECTIONS

    public static final String CDATA_SECTIONS

See Also:
  Constant Field Values

### CHAR_NORMALIZATION

    public static final String CHAR_NORMALIZATION

See Also:
  Constant Field Values

### COMMENTS

    public static final String COMMENTS

See Also:
  Constant Field Values

### DATATYPE_NORMALIZATION

    public static final String DATATYPE_NORMALIZATION

See Also:
  Constant Field Values

### ENTITIES

    public static final String ENTITIES

See Also:
  Constant Field Values

### ERROR_HANDLER

    public static final String ERROR_HANDLER

See Also:
  Constant Field Values

### INFOSET

    public static final String INFOSET

See Also:
  Constant Field Values

### NAMESPACES

    public static final String NAMESPACES

See Also:
  Constant Field Values

### NAMESPACE_DECLARATIONS

    public static final String NAMESPACE_DECLARATIONS

See Also:
  Constant Field Values

### NORMALIZE_CHARS

    public static final String NORMALIZE_CHARS

See Also:
  Constant Field Values

### SPLIT_CDATA

    public static final String SPLIT_CDATA

See Also:
  Constant Field Values

### VALIDATE_XML

    public static final String VALIDATE_XML

See Also:
  Constant Field Values

### VALIDATE_IF_SCHEMA

    public static final String VALIDATE_IF_SCHEMA

See Also:
  Constant Field Values

### WELL_FORMED

    public static final String WELL_FORMED

See Also:
  Constant Field Values

### WS_IN_ELEMENT_CONTENT

    public static final String WS_IN_ELEMENT_CONTENT

See Also:
  Constant Field Values

### DISCARD_DEFAULT_CONTENT

    public static final String DISCARD_DEFAULT_CONTENT

See Also:
  Constant Field Values

### FORMAT_XML

    public static final String FORMAT_XML

See Also:
  Constant Field Values

### IGNORE_UNKNOWN_CHAR_DENORM

    public static final String IGNORE_UNKNOWN_CHAR_DENORM

See Also:
  Constant Field Values

### XML_DECLARATION

    public static final String XML_DECLARATION

See Also:
  Constant Field Values

### SOFT_TABS

    public static final String SOFT_TABS

  Use spaces instead of tabs if this is true.

  See Also:
    Constant Field Values

### INDENT

    public static final String INDENT

  The number of spaces to use as an tab when SOFT_TABS is true.

  See Also:
    Constant Field Values

### XML_ENCODING

    public static final String XML_ENCODING

  The encoding to use in the XML declaration.

  See Also:
    Constant Field Values

Constructor Detail

### DOMSerializerConfiguration

    public DOMSerializerConfiguration()

### DOMSerializerConfiguration

    public DOMSerializerConfiguration(DOMConfiguration config)
                               throws DOMException

Method Detail

### canSetParameter

    public boolean canSetParameter(String name,
                                   Object value)

### getParameter

    public Object getParameter(String name)
                        throws DOMException

  Throws:
    `DOMException`

### getParameterNames

    public DOMStringList getParameterNames()

### setParameter

    public void setParameter(String name,
                             Object value)
                      throws DOMException

  Throws:
    `DOMException`

### getFeature

    public boolean getFeature(String name)
                       throws DOMException

  A convenience method to retrieve the value that a boolean parameter (feature) is set to.

  Parameters:
    `name` - The name of the feature to get the value of
  Returns:
    The current setting for the given feature
  Throws:
    `DOMException`

### setFeature

    public void setFeature(String name,
                           boolean value)
                    throws DOMException

  A convenience method to set the value of a boolean parameter (feature)

  Parameters:
    `name` - The feature to set the value of
    `value` - The boolean value to set to the feature
  Throws:
    `DOMException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD